library(vegan)
library(RColorBrewer)

# テキストファイルを読み込む
dune <- read.csv("200_communityData4R_station.csv", row.names = 1)
dune.env <- read.csv("200_communityData4R_station_env.csv", row.names = 1)

# データを 0 と 1 に変換する
dune_binary <- as.data.frame(lapply(dune, function(x) ifelse(x >= 1, 1, 0)))
rownames(dune_binary) <- rownames(dune)

# 結果を新しい CSV ファイルに保存する
#write.csv(dune_binary, "200_communityData4R_station_binary.csv", row.names = TRUE)


# nMDS を実行
#nmds <- metaMDS(dune)
nmds <- metaMDS(dune_binary)

# プロット名で色分けして nMDS をプロット
ordiplot(nmds, type = "n")

#######
# 1. 色を青、赤、黄色に設定
colors <- c("blue", "magenta", "green")
clade_colors <- colors[as.numeric(as.factor(dune.env$Clade))]

# 2. クレードの数に応じて色を生成
#num_clades <- length(unique(dune.env$Clade))
#colors <- brewer.pal(min(num_clades, 12), "Set3")
#clade_colors <- colors[as.numeric(as.factor(dune.env$Clade))]
#######

#points(nmds, display = "sites", col = as.factor(dune.env$Clade), pch = 19)
points(nmds, display = "sites", col = clade_colors, pch = 19)
#text(nmds, display = "sites", cex = 0.5, adj=c(0.5,-0.5), col = as.numeric(as.factor(dune.env$Clade)), labels = rownames(dune))
text(nmds, display = "sites", cex = 0.5, adj=c(0.5,-0.5), col = clade_colors, labels = rownames(dune))

# 凡例を追加
legend("topright", legend = levels(as.factor(dune.env$Clade)), col = colors[1:length(levels(as.factor(dune.env$Clade)))], pch = 19)